"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrestoDbRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class PrestoDbRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_PRESTO_VERSION || options.version || '0.281';
        const container = new testcontainers_1.GenericContainer(`ahanaio/prestodb-sandbox:${version}`)
            .withExposedPorts(8080)
            .withWaitStrategy(testcontainers_1.Wait.forLogMessage('======== SERVER STARTED ========'))
            .withStartupTimeout(30 * 1000);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.PrestoDbRunner = PrestoDbRunner;
//# sourceMappingURL=prestodb.js.map